export class SparseMatrix {
    static eye(rows?: number, columns?: number): SparseMatrix;
    constructor(rows: any, columns: any, options?: {});
    _init(rows: any, columns: any, elements: any, threshold: any): void;
    rows: any;
    columns: any;
    elements: any;
    threshold: any;
    clone(): SparseMatrix;
    to2DArray(): any[];
    isSquare(): boolean;
    isSymmetric(): boolean;
    /**
     * Search for the wither band in the main diagonals
     * @returns {number}
     */
    bandWidth(): number;
    /**
     * Test if a matrix is consider banded using a threshold
     * @param {number} width
     * @returns {boolean}
     */
    isBanded(width: number): boolean;
    get cardinality(): any;
    get size(): number;
    get(row: any, column: any): any;
    set(row: any, column: any, value: any): this;
    mmul(other: any): SparseMatrix;
    kroneckerProduct(other: any): SparseMatrix;
    forEachNonZero(callback: any): this;
    getNonZeros(): {
        rows: any[];
        columns: any[];
        values: any[];
    };
    setThreshold(newThreshold: any): this;
    /**
     * @returns {SparseMatrix} - New transposed sparse matrix
     */
    transpose(): SparseMatrix;
    isEmpty(): boolean;
    klass: string;
    tensorProduct: (other: any) => SparseMatrix;
}
export namespace SparseMatrix {
    import identity = SparseMatrix.eye;
    export { identity };
}
//# sourceMappingURL=index.d.ts.map